Kerbal Space Program - Bug #25696

Flag Decals on clamshell fairings "glued"” to the wrong half of the fairing on separation.
07/03/2020 07:00 AM - Dunbaratu

Status: Confirmed Start date: 07/03/2020
Severity: Low % Done: 10%
Assignee: just_jim

Category: Fairings

Target version:

Version: 1.10.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

| found this problem in my game and | think | narrowed it down to an example case that gives the steps that cause it.

- Make a fairing, putting it in clamshell mode with 2 segments. (The bug is very hard to detect in confetti mode fairings). Lets call
the two 'shells' of the 2-segment clamshell the "left" and the "right" shell for the rest of these instructions.

- Attach a flag decal to the left shell, in 2X radial symmetry mode so it will be a copy on both the left shell and the right shell.

- Use Mod-Key (Left Alt on Windows) to click the flag and duplicate a copy of it onto the fairing again (so now there are two flag
decals on each half of the fairing for a total of 4 flag decals).

When you decouple the fairing, all 4 flags will stay with the the right shell, including the two that should have been attached to the left
shell (meaning the left shell's decals now hang in space with the right shell. The attached picture shows what | mean.

| attached two craft files, one with the problem, and one without. In the one with the problem, | used Alt-Click to duplicate a flag when
building the vessel. In the one without the problem, | made the second flag by just taking a new part from the parts bin instead of
using Alt-Click.

History

#1 - 07/03/2020 11:28 AM - just_jim
- Status changed from New to Confirmed

- % Done changed from 0 to 10

#2 - 07/03/2020 11:28 AM - just_jim

- Assignee set to just jim

#3 - 07/03/2020 11:48 AM - dok_377

| was about to report it, but since it is reported already, | will post my findings about this bug here. There's a bunch of IFs.
The flags will stick to the wrong side of the fairing:

1. IF you change the orientation on the flag prior to attaching it to the fairing. That means you CAN'T press any directional buttons (WASDQE)
before you put the flag on, or it will break on the next craft loading. You can only attach a flag to the fairing as it is in the editor from the beginning. But
don't worry, you can edit it afterwards with the editor gizmos, it will be fine.

2. IF the flag was already broken, you can't reattach the same flag on the craft anymore. It breaks permanently. You need to take a completely new
part from the list and attach it following the rules from the step 1.

3. IF you attached the flag correctly and it works with symmetry, alt-clicking on it to copy the part is NOT ALLOWED. This action will break the
original part as well, not only the copy of it. It will also break flags without the symmetry. If you attached one flag and then copied it to the other
side (thinking it was just a symmetry bug), you just broke the original as well and one of them will inevitably stick to the other side after you reload
your craft.

It is fairly easy to check if your flags will be broken or not. Just save and reload your craft. You will see the effect in the editor straight away when you
mouse over a fairing. That makes it more tolerable to use those parts if you know what you are doing.

#4 - 01/27/2021 01:10 AM - Dunbaratu

I'd like to make it clear that on numerous times this bug caused my payload to be ruined because when the clamshell fairing deploys and gets flung
away, the shell tries to pull the opposite flag decals (which have colliders) with it, and they smash into the payload, causing solar panels, antennas,
etc to get exploded.

I no longer trust putting flags on fairings because of this.
